X2Go Bug report logs - #154
X2Go Session Broker: set key= parameter with a dummy value if a SSH key will be provided on selectSession

version graph

Package: x2gobroker; Maintainer for x2gobroker is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker is src:x2gobroker.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Thu, 28 Mar 2013 14:48:02 UTC

Severity: minor

Tags: pending

Found in version 0.0.1.0

Fixed in version 0.0.1.1

Done: tag@ymir, 0.0.1.1@ymir

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#154; Package x2gobroker. (Thu, 28 Mar 2013 14:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 28 Mar 2013 14:48:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: X2Go Session Broker: set key= parameter with a dummy value if a SSH key will be provided on selectSession
Date: Thu, 28 Mar 2013 15:37:10 +0100
[Message part 1 (text/plain, inline)]
Package: x2gobroker
Severity: minor

To trigger SSH key based authentication in broker-mode X2Go Client,  
the broker has to send a dummy key=key-comes-later-or-so parameter in  
listSessions call.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#154; Package x2gobroker. (Mon, 15 Apr 2013 22:09:32 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 15 Apr 2013 22:09:32 GMT) (full text, mbox, link).


Message #10 received at 154@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 154@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#154: X2Go Session Broker: set key= parameter with a dummy value if a SSH key will be provided on selectSession
Date: Tue, 16 Apr 2013 00:08:48 +0200
[Message part 1 (text/plain, inline)]
tag #154 pending
found #154 0.0.1.0
fixed #154 0.0.1.1
thanks

On Do 28 Mär 2013 15:37:10 CET Mike Gabriel wrote:

> Package: x2gobroker
> Severity: minor
>
> To trigger SSH key based authentication in broker-mode X2Go Client,   
> the broker has to send a dummy key=key-comes-later-or-so parameter  
> in  listSessions call.
>
> Mike

a patch has been committed:
http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=ca33ea93056615c370586d9f1054b29695b56393

However, the expectation that this commit also fixes #141 has not been met.

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 15 Apr 2013 22:09:32 GMT) (full text, mbox, link).


Marked as found in versions 0.0.1.0. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 15 Apr 2013 22:09:32 GMT) (full text, mbox, link).


Marked as fixed in versions 0.0.1.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 15 Apr 2013 22:09:32 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#154; Package x2gobroker. (Tue, 23 Apr 2013 19:57:31 GMT) (full text, mbox, link).


Acknowledgement sent to tag@ymir, 0.0.1.1@ymir:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 23 Apr 2013 19:57:31 GMT) (full text, mbox, link).


Message #21 received at 154@bugs.x2go.org (full text, mbox, reply):

From: tag@ymir, 0.0.1.1@ymir
To: 154-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 154@bugs.x2go.org
Subject: X2Go issue #154 (src:x2gobroker) has been marked as closed
Date: Tue, 23 Apr 2013 21:56:21 +0200 (CEST)
close #154
thanks

Hello,

we are very hopeful that X2Go issue #154 reported by you
has been resolved in the new release (0.0.1.1) of the
X2Go source project »src:x2gobroker«.

You can view the complete changelog entry of src:x2gobroker (0.0.1.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2gobroker.

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=4085176be6f5895c931e34e6549ea9849e13ca0b;hp=7a77058f345af93356c9615df70c92644fa98549

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2gobroker.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of sender of this mail)

---
X2Go Component: src:x2gobroker
Version: 0.0.1.1
Status: RELEASE
Date: Tue, 23 Apr 2013 21:38:07 +0200
Fixes: 154 170 171 172 175 176 180
Changes: 
 x2gobroker (0.0.1.1) RELEASED; urgency=low
 .
   * New upstream version (0.0.1.1):
     - Add WSGI support to X2Go Session Broker. Allows plugging into
       Apache2 by using the mod_wsgi module.
     - Add Apache2 configuration for WSGI support that shows how to
       setup a VirtualHost for X2Go Session Broker.
     - For sessions profiles with autologin enable, add a dummy key
       session profile parameter that triggers key based auth in X2Go Client.
       (Fixes: #154).
     - Fix hard-coded path to x2gobroker's authservice socket.
     - Separate logging logic of x2gobroker-authservice from the rest of
       the logging in x2gobroker. (Fixes: #172).
     - x2gobroker-pubkeyauthorizer: no logging-to-file support anymore.
       (Fixes: #175).
     - Fix name of get() method for /pubkeys/ URL path. (Fixes: #176).
     - Move AuthService server code fully into x2gobroker-authservice
       daemon script.
     - Add forgotten file: x2gobroker-authservice-logger.conf. (Fixes: #180).
     - Add script: x2gobroker-testauth.
     - Add enable()/disable() methods to broker backends.
     - Move complete authservice logic into x2gobroker-authservice script.
     - Add command and directrdp session profile parameters to defaults.
     - Fix wrong usage of session option »cmd«, has to be »command«.
   * /debian/control:
     + Fix --root parameter in DEB_PYTHON_INSTALL_ARGS.
     + Let bin:package x2gobroker-authservice depend on python-x2gobroker (of the
       same version). (Fixes: #170).
   * Properly remove the X2Go Session broker log files on package purgal.
   * Let bin:package x2gobroker-authservice create x2gouser:x2gouser, as well.
     (Fixes: #171).


Marked Bug as done Request was from tag@ymir, 0.0.1.1@ymir to control@bugs.x2go.org. (Tue, 23 Apr 2013 19:57:35 GMT) (full text, mbox, link).


Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Tue, 23 Apr 2013 19:57:35 GMT) (full text, mbox, link).


Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#154. (Tue, 23 Apr 2013 19:57:38 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 22 May 2013 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Oct 15 21:21:07 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.